services:
  backend:
    image: git.nicosaya.com/nalalangan/costco-grocery-list/backend:latest
    restart: always
    env_file:
      - ./backend.env
    ports:
      - "5000:5000"

  frontend:
    image: git.nicosaya.com/nalalangan/costco-grocery-list/frontend:latest
    restart: always
    env_file:
      - ./frontend.env
    ports:
      - "3000:5173"
    depends_on:
      - backend
